<!--
title: Three Phase Inverter
date: 2016-10-14
-->


Already when I was still in school, about 30 years ago, I was curious to make an inverter using some MOSFETs. I actually was able to build a simple one phase inverter with rectangular signal shape (I used a NE555). Using this thing I drove a transformer to light a blub. However, all of these inverters I built passed by in fire.

Now, I tried it again, not longer using MOSFETs but IGBTs with free-wheeling diode. Moreover, I used some microcontrollers and sine values to feed a PWM to get a sine-alike signal shape. And this time I was able with three phases to drive an asynchronous motor.

![](/static/img_0053.jpg)

The signal shaping is done with four MSP430 controllers, three as PWMs to drive the bridge and one to coordinate and control the three PWMs. The PWM controller is decoupled from the IGBT driver (IR2184) using optic couplers.

![](/static/img_0054-e1476437702547.jpg)

The bridge is a three phase IGBT module is a 6MB120F-060 I got for a few euros at ebay.

![](/static/img_0055-e1476437685461.jpg)

To avoid high voltages in my setup I got a 24V async motor, also from ebay.

![](/static/img_0056.jpg)

The PWMs generate the signal from a sine table generated using Excel. Those I got this signal:

![](/static/inverter0_2016-09-23-4.png)

The main task of the coordinator is the start the PWMs with a phase shift of 120° (digital line 1, 2 and 3):

![](/static/2016-10-13_1.png)

Currently the PWMs start with random polarity. The interesting signals are the digital lines 4, 5 and 6.

Sometimes the motor runs:

![](/static/2016-10-13_works.png)

But sometimes not:

![](/static/2016-10-13_works_not.png)

The firmware is available here [https://gitea.hottis.de/wn/inverter0](https://gitea.hottis.de/wn/inverter0) and [https://gitea.hottis.de/wn/inverter0ctrl](https://gitea.hottis.de/wn/inverter0ctrl).

